Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class EnvEntryImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.EnvEntryImpl

All Implemented Interfaces:
  java.io.Serializable

    public class EnvEntryImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String` | `envEntryName`
`private java.lang.String` | `envEntryType`
`private java.lang.String` | `envEntryValue`

Constructor Summary
`EnvEntryImpl()`

Method Summary
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`java.lang.String` | `getEnvEntryName()`
`java.lang.String` | `getEnvEntryType()`
`java.lang.String` | `getEnvEntryValue()`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setEnvEntryName(java.lang.String envEntryName)`
`void` | `setEnvEntryType(java.lang.String envEntryType)`
`void` | `setEnvEntryValue(java.lang.String envEntryValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### envEntryName

    private java.lang.String envEntryName

### envEntryValue

    private java.lang.String envEntryValue

### envEntryType

    private java.lang.String envEntryType

Constructor Detail

### EnvEntryImpl

    public EnvEntryImpl()

Method Detail

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### getEnvEntryName

    public java.lang.String getEnvEntryName()

### getEnvEntryType

    public java.lang.String getEnvEntryType()

### getEnvEntryValue

    public java.lang.String getEnvEntryValue()

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### setEnvEntryName

    public void setEnvEntryName(java.lang.String envEntryName)

### setEnvEntryType

    public void setEnvEntryType(java.lang.String envEntryType)

### setEnvEntryValue

    public void setEnvEntryValue(java.lang.String envEntryValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD